/*
 * Licensed to the OpenAirInterface (OAI) Software Alliance under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The OpenAirInterface Software Alliance licenses this file to You under
 * the OAI Public License, Version 1.1  (the "License"); you may not use this file
 * except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.openairinterface.org/?page_id=698
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *-------------------------------------------------------------------------------
 * For more information about the OpenAirInterface (OAI) Software Alliance:
 *      contact@openairinterface.org
 */

/*!\file nrLDPC_lut.h
 * \brief Header file loading all look-up tables
 * \author Sebastian Wagner (TCL Communications) Email: <mailto:sebastian.wagner@tcl.com>
 * \date 27-03-2018
 * \version 1.0
 * \note
 * \warning
 */

#ifndef __NR_LDPC_LUT__H__
#define __NR_LDPC_LUT__H__

// BG1
// Z = 2
#include "lut_llr2CnProcBuf_BG1_Z2_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z2_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z2_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z2_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z2_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z2_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z2_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z2_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z2_R89.h"
// Z = 3
#include "lut_llr2CnProcBuf_BG1_Z3_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z3_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z3_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z3_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z3_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z3_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z3_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z3_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z3_R89.h"
// Z = 4
#include "lut_llr2CnProcBuf_BG1_Z4_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z4_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z4_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z4_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z4_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z4_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z4_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z4_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z4_R89.h"
// Z = 5
#include "lut_llr2CnProcBuf_BG1_Z5_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z5_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z5_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z5_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z5_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z5_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z5_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z5_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z5_R89.h"
// Z = 6
#include "lut_llr2CnProcBuf_BG1_Z6_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z6_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z6_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z6_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z6_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z6_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z6_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z6_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z6_R89.h"
// Z = 7
#include "lut_llr2CnProcBuf_BG1_Z7_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z7_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z7_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z7_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z7_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z7_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z7_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z7_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z7_R89.h"
// Z = 8
#include "lut_llr2CnProcBuf_BG1_Z8_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z8_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z8_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z8_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z8_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z8_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z8_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z8_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z8_R89.h"
// Z = 9
#include "lut_llr2CnProcBuf_BG1_Z9_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z9_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z9_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z9_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z9_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z9_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z9_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z9_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z9_R89.h"
// Z = 10
#include "lut_llr2CnProcBuf_BG1_Z10_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z10_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z10_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z10_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z10_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z10_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z10_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z10_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z10_R89.h"
// Z = 11
#include "lut_llr2CnProcBuf_BG1_Z11_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z11_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z11_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z11_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z11_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z11_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z11_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z11_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z11_R89.h"
// Z = 12
#include "lut_llr2CnProcBuf_BG1_Z12_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z12_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z12_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z12_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z12_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z12_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z12_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z12_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z12_R89.h"
// Z = 13
#include "lut_llr2CnProcBuf_BG1_Z13_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z13_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z13_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z13_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z13_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z13_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z13_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z13_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z13_R89.h"
// Z = 14
#include "lut_llr2CnProcBuf_BG1_Z14_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z14_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z14_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z14_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z14_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z14_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z14_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z14_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z14_R89.h"
// Z = 15
#include "lut_llr2CnProcBuf_BG1_Z15_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z15_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z15_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z15_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z15_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z15_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z15_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z15_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z15_R89.h"
// Z = 16
#include "lut_llr2CnProcBuf_BG1_Z16_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z16_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z16_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z16_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z16_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z16_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z16_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z16_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z16_R89.h"
// Z = 18
#include "lut_llr2CnProcBuf_BG1_Z18_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z18_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z18_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z18_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z18_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z18_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z18_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z18_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z18_R89.h"
// Z = 20
#include "lut_llr2CnProcBuf_BG1_Z20_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z20_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z20_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z20_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z20_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z20_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z20_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z20_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z20_R89.h"
// Z = 22
#include "lut_llr2CnProcBuf_BG1_Z22_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z22_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z22_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z22_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z22_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z22_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z22_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z22_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z22_R89.h"
// Z = 24
#include "lut_llr2CnProcBuf_BG1_Z24_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z24_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z24_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z24_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z24_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z24_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z24_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z24_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z24_R89.h"
// Z = 26
#include "lut_llr2CnProcBuf_BG1_Z26_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z26_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z26_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z26_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z26_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z26_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z26_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z26_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z26_R89.h"
// Z = 28
#include "lut_llr2CnProcBuf_BG1_Z28_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z28_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z28_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z28_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z28_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z28_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z28_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z28_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z28_R89.h"
// Z = 30
#include "lut_llr2CnProcBuf_BG1_Z30_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z30_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z30_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z30_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z30_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z30_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z30_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z30_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z30_R89.h"
// Z = 32
#include "lut_llr2CnProcBuf_BG1_Z32_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z32_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z32_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z32_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z32_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z32_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z32_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z32_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z32_R89.h"
// Z = 36
#include "lut_llr2CnProcBuf_BG1_Z36_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z36_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z36_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z36_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z36_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z36_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z36_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z36_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z36_R89.h"
// Z = 40
#include "lut_llr2CnProcBuf_BG1_Z40_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z40_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z40_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z40_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z40_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z40_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z40_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z40_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z40_R89.h"
// Z = 44
#include "lut_llr2CnProcBuf_BG1_Z44_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z44_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z44_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z44_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z44_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z44_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z44_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z44_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z44_R89.h"
// Z = 48
#include "lut_llr2CnProcBuf_BG1_Z48_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z48_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z48_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z48_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z48_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z48_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z48_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z48_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z48_R89.h"
// Z = 52
#include "lut_llr2CnProcBuf_BG1_Z52_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z52_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z52_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z52_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z52_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z52_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z52_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z52_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z52_R89.h"
// Z = 56
#include "lut_llr2CnProcBuf_BG1_Z56_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z56_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z56_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z56_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z56_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z56_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z56_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z56_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z56_R89.h"
// Z = 60
#include "lut_llr2CnProcBuf_BG1_Z60_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z60_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z60_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z60_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z60_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z60_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z60_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z60_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z60_R89.h"
// Z = 64
#include "lut_llr2CnProcBuf_BG1_Z64_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z64_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z64_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z64_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z64_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z64_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z64_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z64_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z64_R89.h"
// Z = 72
#include "lut_llr2CnProcBuf_BG1_Z72_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z72_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z72_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z72_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z72_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z72_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z72_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z72_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z72_R89.h"
// Z = 80
#include "lut_llr2CnProcBuf_BG1_Z80_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z80_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z80_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z80_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z80_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z80_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z80_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z80_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z80_R89.h"
// Z = 88
#include "lut_llr2CnProcBuf_BG1_Z88_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z88_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z88_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z88_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z88_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z88_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z88_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z88_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z88_R89.h"
// Z = 96
#include "lut_llr2CnProcBuf_BG1_Z96_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z96_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z96_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z96_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z96_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z96_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z96_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z96_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z96_R89.h"
// Z = 104
#include "lut_llr2CnProcBuf_BG1_Z104_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z104_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z104_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z104_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z104_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z104_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z104_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z104_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z104_R89.h"
// Z = 112
#include "lut_llr2CnProcBuf_BG1_Z112_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z112_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z112_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z112_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z112_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z112_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z112_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z112_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z112_R89.h"
// Z = 120
#include "lut_llr2CnProcBuf_BG1_Z120_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z120_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z120_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z120_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z120_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z120_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z120_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z120_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z120_R89.h"
// Z = 128
#include "lut_llr2CnProcBuf_BG1_Z128_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z128_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z128_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z128_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z128_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z128_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z128_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z128_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z128_R89.h"
// Z = 144
#include "lut_llr2CnProcBuf_BG1_Z144_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z144_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z144_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z144_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z144_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z144_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z144_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z144_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z144_R89.h"
// Z = 160
#include "lut_llr2CnProcBuf_BG1_Z160_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z160_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z160_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z160_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z160_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z160_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z160_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z160_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z160_R89.h"
// Z = 176
#include "lut_llr2CnProcBuf_BG1_Z176_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z176_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z176_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z176_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z176_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z176_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z176_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z176_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z176_R89.h"
// Z = 192
#include "lut_llr2CnProcBuf_BG1_Z192_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z192_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z192_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z192_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z192_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z192_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z192_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z192_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z192_R89.h"
// Z = 208
#include "lut_llr2CnProcBuf_BG1_Z208_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z208_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z208_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z208_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z208_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z208_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z208_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z208_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z208_R89.h"
// Z = 224
#include "lut_llr2CnProcBuf_BG1_Z224_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z224_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z224_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z224_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z224_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z224_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z224_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z224_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z224_R89.h"
// Z = 240
#include "lut_llr2CnProcBuf_BG1_Z240_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z240_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z240_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z240_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z240_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z240_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z240_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z240_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z240_R89.h"
// Z = 256
#include "lut_llr2CnProcBuf_BG1_Z256_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z256_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z256_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z256_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z256_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z256_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z256_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z256_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z256_R89.h"
// Z = 288
#include "lut_llr2CnProcBuf_BG1_Z288_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z288_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z288_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z288_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z288_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z288_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z288_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z288_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z288_R89.h"
// Z = 320
#include "lut_llr2CnProcBuf_BG1_Z320_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z320_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z320_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z320_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z320_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z320_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z320_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z320_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z320_R89.h"
// Z = 352
#include "lut_llr2CnProcBuf_BG1_Z352_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z352_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z352_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z352_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z352_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z352_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z352_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z352_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z352_R89.h"
// Z = 384
#include "lut_llr2CnProcBuf_BG1_Z384_R13.h"
#include "lut_cn2bnProcBuf_BG1_Z384_R13.h"
#include "lut_llr2llrProcBuf_BG1_Z384_R13.h"

#include "lut_llr2CnProcBuf_BG1_Z384_R23.h"
#include "lut_cn2bnProcBuf_BG1_Z384_R23.h"
#include "lut_llr2llrProcBuf_BG1_Z384_R23.h"

#include "lut_llr2CnProcBuf_BG1_Z384_R89.h"
#include "lut_cn2bnProcBuf_BG1_Z384_R89.h"
#include "lut_llr2llrProcBuf_BG1_Z384_R89.h"

// BG2
// Z = 2
#include "lut_llr2CnProcBuf_BG2_Z2_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z2_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z2_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z2_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z2_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z2_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z2_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z2_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z2_R15.h"
// Z = 3
#include "lut_llr2CnProcBuf_BG2_Z3_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z3_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z3_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z3_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z3_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z3_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z3_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z3_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z3_R15.h"
// Z = 4
#include "lut_llr2CnProcBuf_BG2_Z4_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z4_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z4_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z4_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z4_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z4_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z4_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z4_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z4_R15.h"
// Z = 5
#include "lut_llr2CnProcBuf_BG2_Z5_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z5_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z5_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z5_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z5_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z5_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z5_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z5_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z5_R15.h"
// Z = 6
#include "lut_llr2CnProcBuf_BG2_Z6_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z6_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z6_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z6_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z6_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z6_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z6_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z6_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z6_R15.h"
// Z = 7
#include "lut_llr2CnProcBuf_BG2_Z7_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z7_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z7_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z7_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z7_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z7_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z7_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z7_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z7_R15.h"
// Z = 8
#include "lut_llr2CnProcBuf_BG2_Z8_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z8_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z8_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z8_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z8_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z8_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z8_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z8_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z8_R15.h"
// Z = 9
#include "lut_llr2CnProcBuf_BG2_Z9_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z9_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z9_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z9_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z9_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z9_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z9_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z9_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z9_R15.h"
// Z = 10
#include "lut_llr2CnProcBuf_BG2_Z10_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z10_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z10_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z10_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z10_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z10_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z10_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z10_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z10_R15.h"
// Z = 11
#include "lut_llr2CnProcBuf_BG2_Z11_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z11_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z11_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z11_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z11_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z11_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z11_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z11_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z11_R15.h"
// Z = 12
#include "lut_llr2CnProcBuf_BG2_Z12_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z12_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z12_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z12_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z12_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z12_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z12_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z12_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z12_R15.h"
// Z = 13
#include "lut_llr2CnProcBuf_BG2_Z13_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z13_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z13_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z13_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z13_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z13_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z13_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z13_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z13_R15.h"
// Z = 14
#include "lut_llr2CnProcBuf_BG2_Z14_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z14_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z14_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z14_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z14_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z14_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z14_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z14_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z14_R15.h"
// Z = 15
#include "lut_llr2CnProcBuf_BG2_Z15_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z15_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z15_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z15_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z15_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z15_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z15_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z15_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z15_R15.h"
// Z = 16
#include "lut_llr2CnProcBuf_BG2_Z16_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z16_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z16_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z16_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z16_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z16_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z16_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z16_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z16_R15.h"
// Z = 18
#include "lut_llr2CnProcBuf_BG2_Z18_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z18_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z18_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z18_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z18_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z18_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z18_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z18_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z18_R15.h"
// Z = 20
#include "lut_llr2CnProcBuf_BG2_Z20_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z20_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z20_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z20_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z20_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z20_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z20_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z20_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z20_R15.h"
// Z = 22
#include "lut_llr2CnProcBuf_BG2_Z22_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z22_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z22_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z22_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z22_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z22_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z22_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z22_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z22_R15.h"
// Z = 24
#include "lut_llr2CnProcBuf_BG2_Z24_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z24_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z24_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z24_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z24_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z24_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z24_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z24_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z24_R15.h"
// Z = 26
#include "lut_llr2CnProcBuf_BG2_Z26_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z26_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z26_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z26_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z26_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z26_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z26_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z26_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z26_R15.h"
// Z = 28
#include "lut_llr2CnProcBuf_BG2_Z28_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z28_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z28_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z28_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z28_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z28_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z28_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z28_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z28_R15.h"
// Z = 30
#include "lut_llr2CnProcBuf_BG2_Z30_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z30_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z30_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z30_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z30_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z30_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z30_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z30_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z30_R15.h"
// Z = 32
#include "lut_llr2CnProcBuf_BG2_Z32_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z32_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z32_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z32_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z32_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z32_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z32_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z32_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z32_R15.h"
// Z = 36
#include "lut_llr2CnProcBuf_BG2_Z36_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z36_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z36_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z36_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z36_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z36_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z36_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z36_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z36_R15.h"
// Z = 40
#include "lut_llr2CnProcBuf_BG2_Z40_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z40_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z40_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z40_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z40_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z40_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z40_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z40_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z40_R15.h"
// Z = 44
#include "lut_llr2CnProcBuf_BG2_Z44_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z44_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z44_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z44_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z44_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z44_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z44_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z44_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z44_R15.h"
// Z = 48
#include "lut_llr2CnProcBuf_BG2_Z48_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z48_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z48_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z48_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z48_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z48_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z48_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z48_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z48_R15.h"
// Z = 52
#include "lut_llr2CnProcBuf_BG2_Z52_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z52_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z52_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z52_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z52_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z52_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z52_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z52_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z52_R15.h"
// Z = 56
#include "lut_llr2CnProcBuf_BG2_Z56_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z56_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z56_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z56_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z56_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z56_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z56_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z56_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z56_R15.h"
// Z = 60
#include "lut_llr2CnProcBuf_BG2_Z60_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z60_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z60_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z60_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z60_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z60_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z60_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z60_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z60_R15.h"
// Z = 64
#include "lut_llr2CnProcBuf_BG2_Z64_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z64_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z64_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z64_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z64_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z64_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z64_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z64_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z64_R15.h"
// Z = 72
#include "lut_llr2CnProcBuf_BG2_Z72_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z72_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z72_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z72_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z72_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z72_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z72_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z72_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z72_R15.h"
// Z = 80
#include "lut_llr2CnProcBuf_BG2_Z80_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z80_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z80_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z80_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z80_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z80_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z80_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z80_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z80_R15.h"
// Z = 88
#include "lut_llr2CnProcBuf_BG2_Z88_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z88_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z88_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z88_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z88_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z88_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z88_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z88_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z88_R15.h"
// Z = 96
#include "lut_llr2CnProcBuf_BG2_Z96_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z96_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z96_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z96_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z96_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z96_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z96_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z96_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z96_R15.h"
// Z = 104
#include "lut_llr2CnProcBuf_BG2_Z104_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z104_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z104_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z104_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z104_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z104_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z104_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z104_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z104_R15.h"
// Z = 112
#include "lut_llr2CnProcBuf_BG2_Z112_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z112_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z112_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z112_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z112_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z112_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z112_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z112_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z112_R15.h"
// Z = 120
#include "lut_llr2CnProcBuf_BG2_Z120_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z120_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z120_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z120_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z120_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z120_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z120_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z120_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z120_R15.h"
// Z = 128
#include "lut_llr2CnProcBuf_BG2_Z128_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z128_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z128_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z128_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z128_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z128_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z128_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z128_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z128_R15.h"
// Z = 144
#include "lut_llr2CnProcBuf_BG2_Z144_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z144_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z144_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z144_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z144_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z144_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z144_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z144_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z144_R15.h"
// Z = 160
#include "lut_llr2CnProcBuf_BG2_Z160_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z160_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z160_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z160_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z160_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z160_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z160_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z160_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z160_R15.h"
// Z = 176
#include "lut_llr2CnProcBuf_BG2_Z176_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z176_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z176_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z176_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z176_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z176_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z176_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z176_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z176_R15.h"
// Z = 192
#include "lut_llr2CnProcBuf_BG2_Z192_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z192_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z192_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z192_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z192_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z192_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z192_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z192_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z192_R15.h"
// Z = 208
#include "lut_llr2CnProcBuf_BG2_Z208_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z208_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z208_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z208_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z208_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z208_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z208_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z208_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z208_R15.h"
// Z = 224
#include "lut_llr2CnProcBuf_BG2_Z224_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z224_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z224_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z224_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z224_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z224_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z224_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z224_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z224_R15.h"
// Z = 240
#include "lut_llr2CnProcBuf_BG2_Z240_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z240_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z240_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z240_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z240_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z240_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z240_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z240_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z240_R15.h"
// Z = 256
#include "lut_llr2CnProcBuf_BG2_Z256_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z256_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z256_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z256_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z256_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z256_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z256_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z256_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z256_R15.h"
// Z = 288
#include "lut_llr2CnProcBuf_BG2_Z288_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z288_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z288_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z288_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z288_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z288_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z288_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z288_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z288_R15.h"
// Z = 320
#include "lut_llr2CnProcBuf_BG2_Z320_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z320_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z320_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z320_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z320_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z320_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z320_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z320_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z320_R15.h"
// Z = 352
#include "lut_llr2CnProcBuf_BG2_Z352_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z352_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z352_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z352_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z352_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z352_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z352_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z352_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z352_R15.h"
// Z = 384
#include "lut_llr2CnProcBuf_BG2_Z384_R13.h"
#include "lut_cn2bnProcBuf_BG2_Z384_R13.h"
#include "lut_llr2llrProcBuf_BG2_Z384_R13.h"

#include "lut_llr2CnProcBuf_BG2_Z384_R23.h"
#include "lut_cn2bnProcBuf_BG2_Z384_R23.h"
#include "lut_llr2llrProcBuf_BG2_Z384_R23.h"

#include "lut_llr2CnProcBuf_BG2_Z384_R15.h"
#include "lut_cn2bnProcBuf_BG2_Z384_R15.h"
#include "lut_llr2llrProcBuf_BG2_Z384_R15.h"

#endif
